Subject: Re: [spring] Spirit and Letter of the Law - non-technical side note
From: "Zafar Ali (zali)" <[email-masked]>
To: Robert Raszuk <[email-masked]>, Alexandre Petrescu <[email-masked]>
Cc: Fernando Gont <[email-masked]>, 6man WG <[email-masked]>, "[email-masked]" <[email-masked]>, "Zafar Ali (zali)" <[email-masked]>
Date: Sat, 7 Sep 2019 17:37:25 +0000
List-Id: "Source Packet Routing in NetworkinG \(SPRING\)" <spring.ietf.org>

Hi Alex, Robert,

I agree fully.

From an IETF process viewpoint, Suresh recently cited his email on this topic:
https://mailarchive.ietf.org/arch/msg/ipv6/4MevopH9_iQglUizhoT5Rl-TjRc

“I just want to confirm that header insertion work can be considered in the future, and that it should be judged on its own merits and not be blocked solely based on the header insertion related text in 2460bis.”

The required justification has been provided, again and again, like current email from Robert, Ketan and many others:
E.g., https://mailarchive.ietf.org/arch/msg/spring/oFsaIAFXyw0PYdVpVVv9xOxYYNQ

Thanks

Regards … Zafar

From: ipv6 <[email-masked]> on behalf of Robert Raszuk <[email-masked]>
Date: Friday, September 6, 2019 at 5:07 AM
To: Alexandre Petrescu <[email-masked]>
Cc: Fernando Gont <[email-masked]>, 6man WG <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [spring] Spirit and Letter of the Law - non-technical side note

Hi Alex,

This is really spot on and very brilliant summary of the state we are in !

And since last 25 years rather proved that the first options is not working the choice seems pretty clear that we should rather choose the second one.

Best,
R.

On Fri, Sep 6, 2019 at 10:57 AM Alexandre Petrescu <[email-masked]<mailto:[email-masked]>> wrote:

This is a non-technical side note about the Spirit and Letter of the Law
in IPv6 WG.

In these discussions about IPv6 like routing header, insertion,
mutability, 64bit, limited domains, multihoming, smart end dumb network,
and numerous other 'tussles', one is supposed to take a side among one
of those two:

- maintain rock solid principles, continue the tradition, keep it up
working as it was designed to and that demonstrated its validity on very
large scale.

- break away from tradition, foster innovation, things will work anyways
because humans engineer them and market regulates them.

Only deep convictions about one of those two sides can make IPv6
deployment and development progress.

On my side, I cant make have such deep convictions.

Alex